CHGRP(1)

NAZWA
chgrp - zmienia grupę właścicieli plików

SKŁADNIA
chgrp [OPCJA]... GRUPA PLIK...
chgrp [OPCJA]... --reference=PLIK-WZORC PLIK...

OPIS

Zmienia grupę każdego PLIKU na GRUPĘ. Z opcją --reference, zmienia grupę każdego PLIKU na grupę PLIKU-WZORC.

-c, --changes
    podobnie jak opcja --verbose, ale informuje tylko o dokonanych zmianach

-f, --silent, --quiet
    wyłącza wyświetlanie większości komunikatów o błędach

-v, --verbose
    wyświetla informacje diagnostyczne o każdym przetwarzanym pliku

--dereference
    działa na plikach wskazywanych przez dowiązania symboliczne (tak jest domyślnie), zamiast na samych dowiązaniach

-h, --no-dereference
    działa na dowiązaniach symbolicznych zamiast na plikach, na które one wskazują (użyteczne tylko w systemach, które potrafią zmienić właściciela dowiązania symbolicznego)

--no-preserve-root
    nie traktuje "/" w sposób specjalny (domyślnie)

--preserve-root
    odmawia działania rekurencyjnego na "/"

--reference=PLIK-WZORC
    używa grupy PLIK-WZORC, zamiast wprost podanej GRUPY

-R, --recursive
    działa rekurencyjnie na plikach i katalogach

Następujące opcje modyfikują sposób, w jaki program przemieszcza się po hierarchii katalogów, jeśli podano także opcję -R. Jeśli podano kilka opcji, używana jest ostatnia z podanych.

-H  jeśli argument wiersza poleceń jest dowiązaniem symbolicznym do katalogu, podąża za nim

-L  podąża za każdym napotkanym dowiązaniem symbolicznym do katalogu

-P  nie podąża za żadnymi dowiązaniami symbolicznymi (domyślnie)

--help
    wyświetla ten tekst i kończy pracę

--version
    wyświetla informacje o wersji i kończy działanie

PRZYKŁADY

chgrp staff /u
    Zmienia grupę /u na "staff".

chgrp -hR staff /u
    Zmienia grupę /u i wszystkich plików w tym katalogu na "staff".

AUTOR
Napisane przez Davida MacKenzie i Jima Meyeringa.

ZGŁASZANIE BŁĘDÓW
Zgłoszenia błędów w chgrp proszę wysyłać (po angielsku) na adres bug-coreutils@gnu.org
Strona internetowa GNU coreutils: <http://www.gnu.org/software/coreutils/>
Ogólna pomoc dotycząca oprogramowania GNU: <http://www.gnu.org/gethelp/>
Zgłoszenia błędów w tłumaczeniu chgrp proszę wysyłać na adres <http://translationproject.org/team/pl.html>

PRAWA AUTORSKIE
Copyright © 2013 Free Software Foundation, Inc. Licencja GPLv3+: GNU GPL w wersji 3 lub późniejszej <http://gnu.org/licenses/gpl.html>.
Jest to wolne oprogramowanie: można je zmieniać i rozpowszechniać. Nie ma ŻADNEJ GWARANCJI, w granicach określonych przez prawo.

ZOBACZ TAKŻE
Pełna dokumentacja chgrp jest dostępna w formacie Texinfo. Jeśli programy info i chgrp są poprawnie zainstalowane, to polecenie

    info coreutils 'chgrp invocation'

powinno dać dostęp do pełnego podręcznika.

TŁUMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika man są: Przemek Borys (PTM) <pborys@p-soft.silesia.linux.org.pl>, Wojtek Kotwica (PTM) <wkotwica@post.pl> i Michał Kułach <michal.kulach@gmail.com>.

Polskie tłumaczenie jest częścią projektu manpages-pl; uwagi, pomoc, zgłaszanie błędów na stronie http://sourceforge.net/projects/manpages-pl/. Jest zgodne z wersją 8.21 oryginału.